Last Comment Bug 629194 - Don't clobber all packages in mobile build.mk's package target
: Don't clobber all packages in mobile build.mk's package target
Status: RESOLVED FIXED
:
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: John Ford [:jhford] CET/CEST Berlin Time
:
:
Mentors:
Depends on:
Blocks: 557260
  Show dependency treegraph
 
Reported: 2011-01-26 15:11 PST by John Ford [:jhford] CET/CEST Berlin Time
Modified: 2011-05-25 10:43 PDT (History)
9 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
stop clobbering all packages in package target for mobile (240 bytes, patch)
2011-01-26 15:11 PST, John Ford [:jhford] CET/CEST Berlin Time
mark.finkle: review+
Details | Diff | Splinter Review
mercurial changeset (493 bytes, patch)
2011-05-24 08:47 PDT, John Ford [:jhford] CET/CEST Berlin Time
mark.finkle: review+
Details | Diff | Splinter Review

Description John Ford [:jhford] CET/CEST Berlin Time 2011-01-26 15:11:53 PST
Created attachment 507268 [details] [diff] [review]
stop clobbering all packages in package target for mobile

the package target in the mobile-browser version of build.mk silently deletes all fennec-* files in obdir/dist.  This line was added in for http://hg.mozilla.org/mobile-browser/rev/0b21caeb656c which seems to be before the switch from xulrunner to non-xulrunner builds.

This patch removes this line entirely and makes the mobile-browser's build.mk package target very similar to the mozilla-central/browser/build.mk target.

If we do not remove this line, can we at least change from @rm to rm to make this more visible in build logs?

I have tested this patch locally and can submit a build to try if desired.
Comment 1 Mark Finkle (:mfinkle) (use needinfo?) 2011-01-26 20:30:38 PST
Comment on attachment 507268 [details] [diff] [review]
stop clobbering all packages in package target for mobile

John - a Try run might be a good idea, just in case something strange happens.
Comment 2 John Ford [:jhford] CET/CEST Berlin Time 2011-01-27 10:31:40 PST
(In reply to comment #1)
> Comment on attachment 507268 [details] [diff] [review]
> stop clobbering all packages in package target for mobile
> 
> John - a Try run might be a good idea, just in case something strange happens.

Ok, I will do that now.
Comment 3 John Ford [:jhford] CET/CEST Berlin Time 2011-01-27 13:15:57 PST
Comment on attachment 507268 [details] [diff] [review]
stop clobbering all packages in package target for mobile

(In reply to comment #2)
> (In reply to comment #1)
> > John - a Try run might be a good idea, just in case something strange happens.
> 
> Ok, I will do that now.

Try build done http://stage.mozilla.org/pub/mozilla.org/firefox/tryserver-builds/jford@mozilla.com-5ebf8276bb2c/

I don't have commit on mobile-browser, how do I go about landing this for mobile-browser?
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2011-01-27 17:28:20 PST
(In reply to comment #3)

> I don't have commit on mobile-browser, how do I go about landing this for
> mobile-browser?

I can land it
Comment 5 Mark Finkle (:mfinkle) (use needinfo?) 2011-01-28 05:52:11 PST
pushed:
http://hg.mozilla.org/mobile-browser/rev/c37b6862d388
Comment 6 Andreea Pod 2011-04-07 07:48:23 PDT
Is this fixed? Should it be marked as verified fixed?
Comment 7 John Ford [:jhford] CET/CEST Berlin Time 2011-04-07 08:30:27 PDT
it has been reverted to previous behaviour.  I don't have any intention of doing anything more on this at this point as my need for it is gone and I think I was the only one who was pushing for it.
Comment 8 John Ford [:jhford] CET/CEST Berlin Time 2011-04-25 12:51:04 PDT
Does anyone remember what the issue was here the last time we tried this?
Comment 9 John Ford [:jhford] CET/CEST Berlin Time 2011-05-24 07:24:53 PDT
Comment on attachment 507268 [details] [diff] [review]
stop clobbering all packages in package target for mobile

Mark,  I am re-requesting review on this patch because it has been a long time since you originally gave it r+ and I want to make sure that you are still ok with it.

The reason that I want to land this patch again is that it allows us to be a lot more flexible with our automation and we have addressed the issues that caused us to backout last time.  Currently, we have to run make package as the very first step, because it clobbers the product of package-tests, buildsymbols and deb.

Bug 557260 is tracking the work to fully integrate mobile builds into desktop build infrastructure.  This allows us to reuse code for desktop and mobile which enables the entire releng team to work on mobile builds and paves the way to an integrated release process.

In preperation for this landing, we have started doing the required rm -rf dist/fennec* in our automation right before the make package call.  The reason we had to back out the last time we tried to land, is that we didn't have the replacement deletion in automation.

I am not sure how the flags work and the state of each tree, but I would need to land this patch on mozilla-aurora, mozilla-beta and mozilla-central.  This patch has been tested, is not part of shipping product code and has a simple backout strategy.

I don't have level-3 commit, so I will need someone to do the actual push to the three repositories and will upload a mercurial changeset for landing if this is r+.
Comment 10 Mark Finkle (:mfinkle) (use needinfo?) 2011-05-24 07:43:30 PDT
Comment on attachment 507268 [details] [diff] [review]
stop clobbering all packages in package target for mobile

let's land on m-c first and see how things go. We can ask for approval for the other repos after that.
Comment 11 John Ford [:jhford] CET/CEST Berlin Time 2011-05-24 07:56:25 PDT
(In reply to comment #10)
> Comment on attachment 507268 [details] [diff] [review] [review]
> stop clobbering all packages in package target for mobile
> 
> let's land on m-c first and see how things go. We can ask for approval for
> the other repos after that.

Cool, I'll upload the changeset now then.
Comment 12 John Ford [:jhford] CET/CEST Berlin Time 2011-05-24 08:47:52 PDT
Created attachment 534783 [details] [diff] [review]
mercurial changeset

Mercurial changeset to push to mozilla-central
Comment 13 Mark Finkle (:mfinkle) (use needinfo?) 2011-05-24 12:22:19 PDT
Comment on attachment 534783 [details] [diff] [review]
mercurial changeset

carrying r+ forward
Comment 14 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-05-24 14:05:20 PDT
http://hg.mozilla.org/mozilla-central/rev/07cf571af750
Comment 15 John O'Duinn [:joduinn] (please use "needinfo?" flag) 2011-05-25 01:35:20 PDT
(In reply to comment #10)
> Comment on attachment 507268 [details] [diff] [review] [review]
> stop clobbering all packages in package target for mobile
> 
> let's land on m-c first and see how things go. We can ask for approval for
> the other repos after that.

I've already nom'd this bug, and got it approved for landing on mozilla-{aurora,beta} - see the new "tracking-firefox5" and "tracking-firefox6" flags. 

Feel free to land in mozilla-{aurora,beta} whenever you are ready.
Comment 16 John Ford [:jhford] CET/CEST Berlin Time 2011-05-25 07:49:02 PDT
(In reply to comment #15)
> Feel free to land in mozilla-{aurora,beta} whenever you are ready.

I don't have level 3 commit, so someone else will need to land this patch in -beta and -aurora
Comment 17 Doug Turner (:dougt) 2011-05-25 09:11:13 PDT
http://hg.mozilla.org/mozilla-aurora/rev/ef4731aefc12
Comment 18 Mark Finkle (:mfinkle) (use needinfo?) 2011-05-25 10:43:31 PDT
http://hg.mozilla.org/releases/mozilla-beta/rev/42357cbbb379

Note You need to log in before you can comment on or make changes to this bug.